Skip to main content
PUT
Update category

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The category ID

Example:

1

Body

application/json
name
string

Category name (max 255 characters). Must not be greater than 255 characters.

Example:

"Electronics"

parent_id
integer | null

Parent category ID for nested categories. The id of an existing record in the products_categories table.

Example:

1

property_account_income_id
integer | null

Income account ID for this category. The id of an existing record in the accounts_accounts table.

Example:

1

property_account_expense_id
integer | null

Expense account ID for this category. The id of an existing record in the accounts_accounts table.

Example:

2

property_account_down_payment_id
integer | null

Down payment account ID for this category. The id of an existing record in the accounts_accounts table.

Example:

3

Response

Success